import { Disposable, IUniverInstanceService, ThemeService } from '@univerjs/core';
import { IRenderManagerService } from '@univerjs/engine-render';
import { ISelectionWithStyle } from '@univerjs/sheets';
import { SelectionControl } from '../selection/selection-shape';
export interface IMarkSelectionService {
    addShape(selection: ISelectionWithStyle, exits?: string[], zIndex?: number): string | null;
    removeShape(id: string): void;
    removeAllShapes(): void;
    refreshShapes(): void;
    getShapeMap(): Map<string, IMarkSelectionInfo>;
}
interface IMarkSelectionInfo {
    unitId: string;
    subUnitId: string;
    selection: ISelectionWithStyle;
    zIndex: number;
    control: SelectionControl | null;
    exits: string[];
}
export declare const IMarkSelectionService: import('@univerjs/core').IdentifierDecorator<IMarkSelectionService>;
/**
 * For condition format selection.
 */
export declare class MarkSelectionService extends Disposable implements IMarkSelectionService {
    private readonly _currentService;
    private readonly _renderManagerService;
    private readonly _themeService;
    private _shapeMap;
    constructor(_currentService: IUniverInstanceService, _renderManagerService: IRenderManagerService, _themeService: ThemeService);
    addShape(selection: ISelectionWithStyle, exits?: string[], zIndex?: number): string | null;
    refreshShapes(): void;
    getShapeMap(): Map<string, IMarkSelectionInfo>;
    removeShape(id: string): void;
    removeAllShapes(): void;
}
export {};
